Package: groovy.org.codenarc.rule.exceptions

## [Groovy] Class SwallowThreadDeathRule

- groovy.org.codenarc.rule.exceptions.SwallowThreadDeathRule

- Detects code that catches java.lang.ThreadDeath without re-throwing it. If ThreadDeath is caught by a method, it is important that it be rethrown so that the thread actually dies.

  Authors:
    Rob Fletcher
    Klaus Baumecker

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority